Login
Username:

Password:

Remember me



Lost Password?

Register now!

Sections

Who's Online
44 user(s) are online (27 user(s) are browsing Forums)

Members: 0
Guests: 44

more...

Headlines

 
  Register To Post  

X5040 Sapphire Radeon R9 280x - OpenGL and minigl4gl4es
Just popping in
Just popping in


See User information
I am having an OpenGL issue with my Sapphire Radeon R9 280x video card. I have the latest Enhancer 2.2 CD installed. First, the OS sees it as 7900 Series card and according to Ranger, it is using PCIGraphics.card 53.18 and CHIP: RadeonHD.chip 3.7

I notice a couple issues with OpenGL. First, the BoingBall screen saver does not work and if I try to run Celestia I get "Could not create an OpenGL window/context". If I try it on any of the MiniGL demos, I get the same error.

I searched OS4Depot and found minigl4gl4es. I replaced the minigl.library and mglut.library. I also saw that there is suppose to be a bug reporting thread for it on here but I cannot find it here.

Using minigl4gl4es, Celestia will load and come up to the "Welcome to Celestia" and gives me a Grim Reaper of ISI. I noticed if I go to Blanker Prefs, Boing Ball screen saver is working in demo but if I click to another saver, I get a Grim Reaper , DSI and module new.library.kmod. If I try any of the original minigl demos they will play but will crash with a grim reaper as well.

However using the original minigl ver 2.24 and mglut libraries ver 2.24, I can run GIExcess_X5000, Cube-textured and ASE Loader-EGL_Warp no problem. All Warp3DNova demos work. Celestia says it requires OpenGL 2.1.

Go to top
Re: X5040 Sapphire Radeon R9 280x - OpenGL and minigl4gl4es
Home away from home
Home away from home


See User information
@amiganuts
minigl4gl4es is a hack, which you should not use. It was created as fast solution for RadeonRX owners, to have at least "something half working", because they do not have old Warp3D drivers, while RadeonHD users have.

So, for RadeonHD you need to buy RadeonHD SI driver from a-eon, which is old Warp3D driver for RadeonHD (over which original MiniGL works). This driver is well tested and MiniGL working over it. So once you will buy-install it everything related to old MiniGL/Warp3D will works as expected.


Quote:

First, the BoingBall screen saver does not work and if I try to run Celestia I get "Could not create an OpenGL window/context". If I try it on any of the MiniGL demos, I get the same error.


That because when you run any old OpenGL apps, it requre old MiniGL, whih in turn works on top of old Warp3D (mean not Warp3DNova, but old Warp3D). As you don't install RadeonHD SI driver, things just can't work and report unability to create window/context mean "no working minigl/warp3d found".

Quote:

I searched OS4Depot and found minigl4gl4es. I replaced the minigl.library and mglut.library. I also saw that there is suppose to be a bug reporting thread for it on here but I cannot find it here.


As i say minigl4gl4es is a fast hack to give RadeonRX users ability to somehow use old MiniGL (because they , RadeonRX owners, do not have old Warp3D driver, while RadeonHD users do have). minigl4gl4es is just a wrapper around GL4ES done by Daniel, and a bit tested to be at least half-working. But it did have lot of issues, like, unability to run few minigl apps at the same time, random crashes/hangs, and some games/apps just do not work. So, if you have RadeonHD, do not use minigl4gl4es but buy a RadeonHD SI driver instead.

Quote:

Using minigl4gl4es, Celestia will load and come up to the "Welcome to Celestia" and gives me a Grim Reaper of ISI. I noticed if I go to Blanker Prefs, Boing Ball screen saver is working in demo but if I click to another saver, I get a Grim Reaper , DSI and module new.library.kmod. If I try any of the original minigl demos they will play but will crash with a grim reaper as well.


That expected: you can't run few minigl4gl4es apps at the same time, some apps/games bring bugs and errors, etc. For example you also can't run RCTW in window mode (old minigl/warp3d version i mean) and in the whole switching to/from window/fullscreen modes acts wrong. Blender have no menu visibly, UFO AI, Shogo, Liriard, ScummVM crashes on running. Also Frogatto have missing textures, screensavers crashes on deactivation and so on and so on. So, bottom line is : do not use minigl4gl4es, but buy RadeonHD SI driver instead and all will be fine.

Daniel is aware about all bugs about minigl4gl4es, but he will not fix them, because the purposes of minigl4gl4es was just a fast hack to help RadeonRX users, who, soon will have NovaBridge (meaning old Warp3D driver working over Warp3DNova), so minigl4gl4es should be forgotten,ignored and ditched.

Quote:

However using the original minigl ver 2.24 and mglut libraries ver 2.24, I can run GIExcess_X5000, Cube-textured and ASE Loader-EGL_Warp no problem. All Warp3DNova demos work.


Those things you count there not use MiniGL or old Warp3D, but instead WArp3DNOVA (do not confuse it with old Warp3D), and OpenGLES2. That why they works.

Quote:

Celestia says it requires OpenGL 2.1.


Old Celestia port done over MiniGL, so asking for OpenGL2.1 is kind of wrong, because MiniGL is just OpenGL 1.5, but probabaly as it port, the error phrase is just left-over and wasn't changed to reflet amiga realms. But in reality, Celestia port want MiniGL. Once you will buy/install RadeonHD SI, it will works.

Go to top
Re: X5040 Sapphire Radeon R9 280x - OpenGL and minigl4gl4es
Just popping in
Just popping in


See User information
Home,

Thanks for clearing that up. The drivers are confusing because you see some Radeon drivers and updates are in the Enhancer Software 2.2 but not for RadeonHD but more for RadeonRX. I didnt want to buy something that was already in the Enhancer 2.2.

For whatever reason after I upgraded to Enhancer 2.2 it killed my video playback ability and I ended up deleting libs:VA/RadeonHD_drv_video.library driver to fix the issue. So I guess they added a library without the actual driver. I am guessing once I install the driver, I need to add this library back.

Also the Graphics cards are confusing. My Sapphire card is 212% the performance of the Radeon RX550 according to techpowerup.com but older and HD. 2013 vs. 2017.

https://www.techpowerup.com/gpu-specs/radeon-r9-280x.c2398

The Radeon RX 550 seems to be the recommended card for Amiga OS4.1.

https://www.techpowerup.com/gpu-specs/radeon-rx-550.c2947

I recently purchased the HD driver and just waiting for it to come from Amigakit as it is not offered yet from the amistore for whatever reason that is.

Go to top
Re: X5040 Sapphire Radeon R9 280x - OpenGL and minigl4gl4es
Just popping in
Just popping in


See User information
regarding the MiniGL / Warp3D compatibility:

Do somebody know, what version of miniGL + mglut library can I use for GLQuake?

In past it works for me with X1000 + RadeonHD + Warp3D SI, today not.
It is very old game, but I like to use GLQuake for benchmarking.

I have now HD 7970 and in past I had HD 6570 and old RadeonHD version.

AmigaOS: Micro A1-C, AmigaOne XE, Pegasos II, Sam440ep, Sam440ep-flex, AmigaOne X1000
MorphOS: Efika 5200b, Pegasos I, Pegasos II, Powerbook, Mac Mini, iMac, Powermac Quad
Go to top
Re: X5040 Sapphire Radeon R9 280x - OpenGL and minigl4gl4es
Just popping in
Just popping in


See User information
So after 2 months waiting for the Driver from Amigakit, I received it yesterday. After installing it, now Ranger says

Radeon HD 7900 Series
Drivers: Board: PCIGraphics.card Chip: RadeonHD.chip
Chip Set: not yet implemented.

I am still getting the same errors as I did before with Celestia and the Boing screen saver is not working. According to the instructions, I just have to install the driver. I double checked that it did infact install the driver.

Now what?

Go to top
Re: X5040 Sapphire Radeon R9 280x - OpenGL and minigl4gl4es
Just popping in
Just popping in


See User information
@amiganuts

Sounds like you bought the wrong driver?

It's not clear to me what you bought but the driver you need is AFAIK a direct download only.

This is the driver you need for warp3d

https://keasigmadelta.com/portfolio/warp3d-southern-islands-driver/

And you buy it from amistore http://www.amistore.net/

Go to top
Re: X5040 Sapphire Radeon R9 280x - OpenGL and minigl4gl4es
Just popping in
Just popping in


See User information
This is the driver I purchased. Two months ago it was not available from amistore.

Updater says that I have RadeonHD.chip(V5-x5000) v5.14 installed

RadeonHD.chip Driver
--------------------

An AmigaOS 4.x 2D graphics driver for Radeon HD 7000 series cards (Southern
Islands GPUs). It also supports some Radeon Rx models.

Copyright (C) 2016-2021 by A-EON Technology Ltd.
Copyright (C) 2008-2016 by Hans de Ruiter, all rights reserved

WARNING: Unauthorised copying and distribution is prohibited by law.


ABOUT
-----

The RadeonHD.chip graphics driver provides full 2D graphics acceleration for
Radeon HD graphics cards. It supports everything from the Radeon HD 2000 series
(R600 chipsets) through to the Radeon HD 7000 series (Southern Islands
chipsets). It also supports some Radeon Rx cards. Older Radeon X1300-X1950
graphics cards (R500 chipsets) are supported as well, although these are not
recommended. The Radeon HD series have much more flexible Graphical Processing
Units (GPU). If you are looking to buy a supported card, then choosing from the
most recent series is recommended.

Additional information can be found on the Radeon HD driver Wiki at:
http://wiki.amiga.org/radeonhd

REQUIREMENTS
------------

- A supported graphics card:
- Radeon R7 250/250X/265
- Radeon R9 270/270X/280/280X
- AmigaOS 4.1
- An AmigaOne-X1000 (with the latest firmware), or an AmigaOne-500 (or Sam460ex)


Edited by amiganuts on 2022/10/14 4:57:42
Go to top
Re: X5040 Sapphire Radeon R9 280x - OpenGL and minigl4gl4es
Just popping in
Just popping in


See User information
I went and purchased the Warp3dSI off of amistore. that fixed my issue.

Thanks

Go to top
Re: X5040 Sapphire Radeon R9 280x - OpenGL and minigl4gl4es
Just popping in
Just popping in


See User information
@amiganuts

please, can you check the game GLQuake with Warp3dSI ?
I have Warp3dSI, RadeonHD v.5 X1000, MiniGL last from AmigaOS and this game not works.
With very very early versions it works ( if I remember it exactly ). I am suspicious about newer MiniGL, but I not made detailed debugging.

AmigaOS: Micro A1-C, AmigaOne XE, Pegasos II, Sam440ep, Sam440ep-flex, AmigaOne X1000
MorphOS: Efika 5200b, Pegasos I, Pegasos II, Powerbook, Mac Mini, iMac, Powermac Quad
Go to top
Re: X5040 Sapphire Radeon R9 280x - OpenGL and minigl4gl4es
Home away from home
Home away from home


See User information
@Sailor
I downloaded glquake from os4depot, and for sake of tests tried it on the RadeonRX + NovaBridge (which still not released sadly), and there it surely runs and works over MiniGL 2.24 (but to note: it glitches with multitexturing enabled, so i had to disable it, and report that to Hans). There is:





Edited by kas1e on 2022/10/14 8:58:21
Edited by kas1e on 2022/10/14 9:01:29
Go to top
Re: X5040 Sapphire Radeon R9 280x - OpenGL and minigl4gl4es
Just popping in
Just popping in


See User information
@kas1e

Nice!!! Looking forward!

Amazing FPS!


Edited by sailor on 2022/10/14 9:52:52
AmigaOS: Micro A1-C, AmigaOne XE, Pegasos II, Sam440ep, Sam440ep-flex, AmigaOne X1000
MorphOS: Efika 5200b, Pegasos I, Pegasos II, Powerbook, Mac Mini, iMac, Powermac Quad
Go to top
Re: X5040 Sapphire Radeon R9 280x - OpenGL and minigl4gl4es
Home away from home
Home away from home


See User information
@amiganuts

After booting, type this in shell:

C:DumpDebugBuffer
(This should show any error messages from the driver.)

version radeonhd.chip full
(in shell, to check if the driver is loaded.)

And check that its installed correct.
Version FILE sys:kickstart/readeonhd.chip FULL

Check kickstart layout make sure driver is not commented out with “;” symbol.

(NutsAboutAmiga)

Basilisk II for AmigaOS4
AmigaInputAnywhere
Excalibur
and other tools and apps.
Go to top
Re: X5040 Sapphire Radeon R9 280x - OpenGL and minigl4gl4es
Just popping in
Just popping in


See User information
@amiganuts

Quote:
I went and purchased the Warp3dSI off of amistore. that fixed my issue.


Looks like you bought the new Radeon V5 when you needed the SI 3D driver but only found months after the fact. That's a shame. But I can understand as when I bought drivers for my X1000 a few years back I was confused as to what I did and did not need. I ended up just buying Enhancer Plus but looks like I didn't try any Warp3D or MiniGL software as I didn't notice. Spencer worked so I was happy.

Go to top

  Register To Post

 




Currently Active Users Viewing This Thread: 1 ( 0 members and 1 Anonymous Users )




Powered by XOOPS 2.0 © 2001-2016 The XOOPS Project